package org.example;

import javax.naming.InitialContext;
import javax.naming.NamingException;

public final class ServiceLookupUtil {

	private ServiceLookupUtil() {
	}

	@SuppressWarnings("unchecked")
	public static <T> T lookupService(final Class<T> clazz) {
		T service = null;

		try {
			String jndiName = "java:comp/env/" + clazz.getSimpleName();
			service = (T) new InitialContext().lookup(jndiName);
		} catch (NamingException ne) {
			throw new IllegalStateException(ne);
		}

		return service;
	}
}
