package org.example;

import java.io.IOException;
import java.io.PrintWriter;

import javax.ejb.EJB;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class StatusServlet extends HttpServlet {

	@EJB(name = "StatusService")
	private StatusService injectedStatusService;

	@Override
	public void doGet(final HttpServletRequest req,
			final HttpServletResponse res) throws IOException {

		PrintWriter w = res.getWriter();

		try {
			w.write("Injected EJB: ");
			w.write(injectedStatusService.getStatus() + "\n");
		} catch (RuntimeException e) {
			w.write("There was an error calling injected EJB: ");
			e.printStackTrace(w);
		}

		StatusService lookedupStatusService = ServiceLookupUtil
				.lookupService(StatusService.class);

		try {
			w.write("Looked up EJB: ");
			w.write(lookedupStatusService.getStatus() + "\n");
		} catch (RuntimeException e) {
			w.write("There was an error calling looked up EJB: ");
			e.printStackTrace(w);
		}

	}
}
